//------------------------------------------------------------------
#property copyright "www.forex-tsd.com"
#property link      "www.forex-tsd.com"
//------------------------------------------------------------------
#property indicator_chart_window

extern string FileName        = "EURUSD Projected Pivot.txt";
extern color  PivotColor      = DimGray;
extern int    PivotStyle      = STYLE_DOT;
extern int    PivotWidth      = 1;
extern color  HighColor       = LimeGreen;
extern color  LowColor        = PaleVioletRed;
extern int    HighLowStyle    = STYLE_SOLID;
extern int    HighLowWidth    = 2;
extern string UniqueID        = "Pivts HF";

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init() { return(0); }
int deinit()
{
   string lookFor       = UniqueID;
   int    lookForLength = StringLen(lookFor);
   for (int i=ObjectsTotal()-1; i>=0; i--) 
   {
      string name = ObjectName(i);  if (StringSubstr(name,0,lookForLength) == lookFor) ObjectDelete(name);
   }
   return(0); 
}

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

string lines[][5];
#define _low   0
#define _high  1
#define _id    2
#define _range 3
#define _pivot 4

//
//
//
//
//

int start()
{

   static datetime lastTime = 0;
   
      if (Period()>= PERIOD_D1) return(0);
      if (lastTime==Time[0])    return(0);
      if (ArrayRange(lines,0)!=3) ArrayResize(lines,3);

      //
      //
      //
      //
      //
      
      int handle = FileOpen(FileName,FILE_CSV|FILE_READ,',');
      if (handle>-1)
      {
         for(int l=0; !FileIsEnding(handle); l++)
         {
            for (int j=0; j<2; j++) for (int k=0; k<5; k++) lines[j][k] = lines[j+1][k];
               lines[j][_low]   = FileReadString(handle);
               lines[j][_high]  = FileReadString(handle);
               lines[j][_id]    = FileReadString(handle);
               lines[j][_range] = FileReadString(handle);
               lines[j][_pivot] = FileReadString(handle);
         }
         FileClose(handle);
      }
   
      lastTime = Time[0];         
      
      //
      //
      //
      //
      //
      
      drawLine("pivot","",StrToDouble(lines[0][_pivot]),PivotColor,PivotStyle  ,PivotWidth  ,0);
      drawLine("high" ,"",StrToDouble(lines[0][_high] ),HighColor ,HighLowStyle,HighLowWidth,0);
      drawLine("low"  ,"",StrToDouble(lines[0][_low]  ),LowColor  ,HighLowStyle,HighLowWidth,0);
   return(0);
}


//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

void drawLine(string name, string add, double value, double line_color, double style,int width, int i)
{
   datetime time1 = iTime(NULL,PERIOD_D1,iBarShift(NULL,PERIOD_D1,Time[i]));
   datetime time2 = time1+PERIOD_D1*60;  
      name = UniqueID+":"+name+":"+add;
      ObjectCreate(name,OBJ_TREND,0,0,0,0,0);
         ObjectSet(name,OBJPROP_TIME1,  time1);
         ObjectSet(name,OBJPROP_TIME2,  time2);
         ObjectSet(name,OBJPROP_PRICE1, value);
         ObjectSet(name,OBJPROP_PRICE2, value);
         ObjectSet(name,OBJPROP_STYLE,  style);
         ObjectSet(name,OBJPROP_WIDTH,  width);
         ObjectSet(name,OBJPROP_RAY,    false);
         ObjectSet(name,OBJPROP_BACK,   true);
         ObjectSet(name,OBJPROP_COLOR,  line_color);
}